Skip to main content
`Ctrl`+`K`

# KSPSetMinimumIterations

Sets the minimum number of iterations to use, regardless of the tolerances

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetMinimumIterations(KSP ksp, PetscInt minit)

Logically Collective

## Input Parameters

- ksp - the Krylov subspace context

- minit - minimum number of iterations to use

## Options Database Key

- -ksp_min_it - Sets `minit`

## Notes

Use `KSPSetTolerances()` to set a variety of other tolerances

See `KSPConvergedDefault()` for details on how these parameters are used in the default convergence test. See also `KSPSetConvergenceTest()` for setting user-defined stopping criteria.

## See Also

KSP: Linear System Solvers, `KSPGetTolerances()`, `KSPConvergedDefault()`, `KSPSetConvergenceTest()`, `KSP`, `KSPSetTolerances()`, `KSPGetMinimumIterations()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages